Eclipse Draw2d 3.7

## org.eclipse.draw2d.graph
Class EdgeList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  org.eclipse.draw2d.graph.EdgeList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class EdgeList

extends ArrayList

A list of `Edge`s.

Since:
  2.1.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EdgeList()`

Method Summary
`Edge` `getEdge(int index)` Returns the edge for the given index.
`int` `getSlack()` For internal use only.
`int` `getSourceIndex(int i)` For intrenal use only.
`int` `getTargetIndex(int i)` For internal use only.
`int` `getWeight()` For internal use only.
`boolean` `isCompletelyFlagged()` For internal use only
`void` `resetFlags(boolean resetTree)` For internal use only.
`void` `setFlags(boolean value)` For internal use only.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### EdgeList

    public EdgeList()

Method Detail

### getEdge

    public Edge getEdge(int index)

  Returns the edge for the given index.

  Parameters:
    `index` - the index of the requested edge
  Returns:
    the edge at the given index

### getSourceIndex

    public int getSourceIndex(int i)

  For intrenal use only.

  Parameters:
    `i` - and index
  Returns:
    a value

### getTargetIndex

    public int getTargetIndex(int i)

  For internal use only.

  Parameters:
    `i` - an index
  Returns:
    a value

### getSlack

    public int getSlack()

  For internal use only.

  Returns:
    the minimum slack for this edge list

### getWeight

    public int getWeight()

  For internal use only.

  Returns:
    the total weight of all edges

### isCompletelyFlagged

    public boolean isCompletelyFlagged()

  For internal use only

  Returns:
    `true` if completely flagged

### resetFlags

    public void resetFlags(boolean resetTree)

  For internal use only. Resets all flags.

  Parameters:
    `resetTree` - internal

### setFlags

    public void setFlags(boolean value)

  For internal use only.

  Parameters:
    `value` - value

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.